package com.fs.hisStore.service;

import java.util.List;

import com.fs.common.core.domain.R;
import com.fs.hisStore.domain.FsShippingTemplatesScrm;
import com.fs.hisStore.param.FsShippingTemplatesAddEditParam;

/**
 * 运费模板Service接口
 *
 * @author fs
 * @date 2022-03-15
 */
public interface IFsShippingTemplatesScrmService
{
    /**
     * 查询运费模板
     *
     * @param id 运费模板ID
     * @return 运费模板
     */
    public FsShippingTemplatesScrm selectFsShippingTemplatesById(Long id);

    /**
     * 查询运费模板列表
     *
     * @param fsShippingTemplates 运费模板
     * @return 运费模板集合
     */
    public List<FsShippingTemplatesScrm> selectFsShippingTemplatesList(FsShippingTemplatesScrm fsShippingTemplates);

    /**
     * 新增运费模板
     *
     * @param fsShippingTemplates 运费模板
     * @return 结果
     */
    public int insertFsShippingTemplates(FsShippingTemplatesScrm fsShippingTemplates);

    /**
     * 修改运费模板
     *
     * @param fsShippingTemplates 运费模板
     * @return 结果
     */
    public int updateFsShippingTemplates(FsShippingTemplatesScrm fsShippingTemplates);

    /**
     * 批量删除运费模板
     *
     * @param ids 需要删除的运费模板ID
     * @return 结果
     */
    public int deleteFsShippingTemplatesByIds(Long[] ids);

    /**
     * 删除运费模板信息
     *
     * @param id 运费模板ID
     * @return 结果
     */
    public int deleteFsShippingTemplatesById(Long id);

    R addOrEdit(FsShippingTemplatesAddEditParam fsShippingTemplates);

    List<FsShippingTemplatesScrm> selectFsShippingTemplatesByIds(String ids);
}
